package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstruckTimeTaskResult;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckTimeTskResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 07:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：generator
 * 参考：
 * 描述：TmstruckTimeTskResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckTimeTaskResultService {

    //司机申请开始装车
    int applyStartTime(Map<String, Object> map);

    //用车单位确认开始装车
    int unitSureStartTime(Map<String, Object> map);

    //司机申请暂停
    int applyStartTimeout(Map<String, Object> map);

    //用车单位确认暂停
    int unitSureStartTimeout(Map<String, Object> map);

    //司机申请暂停结束
    int applyEndTimeout(Map<String, Object> map);

    //用车单位确认暂停结束
    int unitSureEndTimeout(Map<String, Object> map);

    //确认暂停结束后进行推单
    int pushOrderForPause(Map<String,Object> map);

    //司机申请结束
    int applyEndTime(Map<String, Object> map);

    //用车单位确认结束
    int unitSureEndTime(Map<String, Object> map);

    //查询计时作业
    List<Map<String, Object>> getAllTimeTaskResult(Map<String, Object> map);

    //新增作业实绩
    int addTimeTaskResult(Map<String,Object> map) throws Exception;

    int JudgeTimeTask(Map<String, Object> mapValue) throws Exception;

    int JudgeTimeTaskPause(Map<String, Object> mapValue) throws Exception;

    //生成账单
    int genernateInwardTime(Map<String,Object> map);


    //修改计时作业
//    int updateTimeTaskResult(Map<String,Object> map);
}